;;; ucs-cjk-sym.el --- UCS table of CJK Symbols and Punctuation

;; Copyright (C) 1998 MORIOKA Tomohiko.

;; Author: MORIOKA Tomohiko <morioka@jaist.ac.jp>
;; Keywords: ISO/IEC 10646, Unicode, charset, MULE,
;;           CJK Symbols and Punctuation

;; This file is part of XEmacs-UCS.

;; XEmacs-UCS is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published
;; by the Free Software Foundation; either version 2, or (at your
;; option) any later version.

;; XEmacs-UCS is distributed in the hope that it will be useful, but
;; WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
;; General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with XEmacs; see the file COPYING.  If not, write to the Free
;; Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
;; 02111-1307, USA.

;;; Code:

(require 'ucs-util)

(ucs-set-char #x3000 ?$(C!!(B) ; KS0-C-2121
(ucs-set-char #x3000 ?$(G!!(B) ; C01-G-2121
(ucs-set-char #x3000 ?$@!!(B) ; J78-@-2121
(ucs-set-char #x3000 ?$A!!(B) ; GB0-A-2121
(ucs-set-char #x3000 ?$B!!(B) ; J83-B-2121

(ucs-set-char #x3001 ?$(G!#(B) ; C01-G-2123
(ucs-set-char #x3001 ?$(C!"(B) ; KS0-C-2122
(ucs-set-char #x3001 ?$@!"(B) ; J78-@-2122
(ucs-set-char #x3001 ?$A!"(B) ; GB0-A-2122
(ucs-set-char #x3001 ?$B!"(B) ; J83-B-2122

(ucs-set-char #x3002 ?$(G!$(B) ; C01-G-2124
(ucs-set-char #x3002 ?$(C!#(B) ; KS0-C-2123
(ucs-set-char #x3002 ?$@!#(B) ; J78-@-2123
(ucs-set-char #x3002 ?$A!#(B) ; GB0-A-2123
(ucs-set-char #x3002 ?$B!#(B) ; J83-B-2123

(ucs-set-char #x3003 ?$(G!q(B) ; C01-G-2171
(ucs-set-char #x3003 ?$(C!((B) ; KS0-C-2128
(ucs-set-char #x3003 ?$A!((B) ; GB0-A-2128
(ucs-set-char #x3003 ?$@!7(B) ; J78-@-2137
(ucs-set-char #x3003 ?$B!7(B) ; J83-B-2137

(ucs-set-char #x3005 ?$A!)(B) ; GB0-A-2129
(ucs-set-char #x3005 ?$@!9(B) ; J78-@-2139
(ucs-set-char #x3005 ?$B!9(B) ; J83-B-2139

(ucs-set-char #x3006 ?$@!:(B) ; J78-@-213A
(ucs-set-char #x3006 ?$B!:(B) ; J83-B-213A

(ucs-set-char #x3007 ?$@!;(B) ; J78-@-213B
(ucs-set-char #x3007 ?$B!;(B) ; J83-B-213B

(ucs-set-char #x3008 ?$(C!4(B) ; KS0-C-2134
(ucs-set-char #x3008 ?$A!4(B) ; GB0-A-2134
(ucs-set-char #x3008 ?$(G!R(B) ; C01-G-2152
(ucs-set-char #x3008 ?$@!R(B) ; J78-@-2152
(ucs-set-char #x3008 ?$B!R(B) ; J83-B-2152

(ucs-set-char #x3009 ?$(C!5(B) ; KS0-C-2135
(ucs-set-char #x3009 ?$A!5(B) ; GB0-A-2135
(ucs-set-char #x3009 ?$(G!S(B) ; C01-G-2153
(ucs-set-char #x3009 ?$@!S(B) ; J78-@-2153
(ucs-set-char #x3009 ?$B!S(B) ; J83-B-2153

(ucs-set-char #x300A ?$(G!N(B) ; C01-G-214E
(ucs-set-char #x300A ?$(C!6(B) ; KS0-C-2136
(ucs-set-char #x300A ?$A!6(B) ; GB0-A-2136
(ucs-set-char #x300A ?$@!T(B) ; J78-@-2154
(ucs-set-char #x300A ?$B!T(B) ; J83-B-2154

(ucs-set-char #x300B ?$(G!O(B) ; C01-G-214F
(ucs-set-char #x300B ?$(C!7(B) ; KS0-C-2137
(ucs-set-char #x300B ?$A!7(B) ; GB0-A-2137
(ucs-set-char #x300B ?$@!U(B) ; J78-@-2155
(ucs-set-char #x300B ?$B!U(B) ; J83-B-2155

(ucs-set-char #x300C ?$(C!8(B) ; KS0-C-2138
(ucs-set-char #x300C ?$A!8(B) ; GB0-A-2138
(ucs-set-char #x300C ?$(G!V(B) ; C01-G-2156
(ucs-set-char #x300C ?$@!V(B) ; J78-@-2156
(ucs-set-char #x300C ?$B!V(B) ; J83-B-2156

(ucs-set-char #x300D ?$(C!9(B) ; KS0-C-2139
(ucs-set-char #x300D ?$A!9(B) ; GB0-A-2139
(ucs-set-char #x300D ?$(G!W(B) ; C01-G-2157
(ucs-set-char #x300D ?$@!W(B) ; J78-@-2157
(ucs-set-char #x300D ?$B!W(B) ; J83-B-2157

(ucs-set-char #x300E ?$(G!Z(B) ; C01-G-215A
(ucs-set-char #x300E ?$(C!:(B) ; KS0-C-213A
(ucs-set-char #x300E ?$A!:(B) ; GB0-A-213A
(ucs-set-char #x300E ?$@!X(B) ; J78-@-2158
(ucs-set-char #x300E ?$B!X(B) ; J83-B-2158

(ucs-set-char #x300F ?$(G![(B) ; C01-G-215B
(ucs-set-char #x300F ?$(C!;(B) ; KS0-C-213B
(ucs-set-char #x300F ?$A!;(B) ; GB0-A-213B
(ucs-set-char #x300F ?$@!Y(B) ; J78-@-2159
(ucs-set-char #x300F ?$B!Y(B) ; J83-B-2159

(ucs-set-char #x3010 ?$(C!<(B) ; KS0-C-213C
(ucs-set-char #x3010 ?$A!>(B) ; GB0-A-213E
(ucs-set-char #x3010 ?$(G!J(B) ; C01-G-214A
(ucs-set-char #x3010 ?$@!Z(B) ; J78-@-215A
(ucs-set-char #x3010 ?$B!Z(B) ; J83-B-215A

(ucs-set-char #x3011 ?$(C!=(B) ; KS0-C-213D
(ucs-set-char #x3011 ?$A!?(B) ; GB0-A-213F
(ucs-set-char #x3011 ?$(G!K(B) ; C01-G-214B
(ucs-set-char #x3011 ?$@![(B) ; J78-@-215B
(ucs-set-char #x3011 ?$B![(B) ; J83-B-215B

(ucs-set-char #x3012 ?$(G"e(B) ; C01-G-2265
(ucs-set-char #x3012 ?$@")(B) ; J78-@-2229
(ucs-set-char #x3012 ?$B")(B) ; J83-B-2229

(ucs-set-char #x3013 ?$(C!k(B) ; KS0-C-216B
(ucs-set-char #x3013 ?$A!~(B) ; GB0-A-217E
(ucs-set-char #x3013 ?$@".(B) ; J78-@-222E
(ucs-set-char #x3013 ?$B".(B) ; J83-B-222E

(ucs-set-char #x3014 ?$(G!F(B) ; C01-G-2146
(ucs-set-char #x3014 ?$(C!2(B) ; KS0-C-2132
(ucs-set-char #x3014 ?$A!2(B) ; GB0-A-2132
(ucs-set-char #x3014 ?$@!L(B) ; J78-@-214C
(ucs-set-char #x3014 ?$B!L(B) ; J83-B-214C

(ucs-set-char #x3015 ?$(G!G(B) ; C01-G-2147
(ucs-set-char #x3015 ?$(C!3(B) ; KS0-C-2133
(ucs-set-char #x3015 ?$A!3(B) ; GB0-A-2133
(ucs-set-char #x3015 ?$@!M(B) ; J78-@-214D
(ucs-set-char #x3015 ?$B!M(B) ; J83-B-214D

(ucs-set-char #x3016 ?$A!<(B) ; GB0-A-213C

(ucs-set-char #x3017 ?$A!=(B) ; GB0-A-213D

(ucs-set-char #x301C ?$(G"D(B) ; C01-G-2244
(ucs-set-char #x301C ?$@!A(B) ; J78-@-2141
(ucs-set-char #x301C ?$B!A(B) ; J83-B-2141

(ucs-set-char #x301D ?$(G!h(B) ; C01-G-2168

(ucs-set-char #x301E ?$(G!i(B) ; C01-G-2169

(ucs-set-char #x3021 ?$(G$5(B) ; C01-G-2435

(ucs-set-char #x3022 ?$(G$6(B) ; C01-G-2436

(ucs-set-char #x3023 ?$(G$7(B) ; C01-G-2437

(ucs-set-char #x3024 ?$(G$8(B) ; C01-G-2438

(ucs-set-char #x3025 ?$(G$9(B) ; C01-G-2439

(ucs-set-char #x3026 ?$(G$:(B) ; C01-G-243A

(ucs-set-char #x3027 ?$(G$;(B) ; C01-G-243B

(ucs-set-char #x3028 ?$(G$<(B) ; C01-G-243C

(ucs-set-char #x3029 ?$(G$=(B) ; C01-G-243D

;;; ucs-cjk-sym.el ends here
